<?php

class fieldNextcon extends cmsFormField {

    public $title = 'Следующие материалы';
    public $sql   = 'int';
	
  public function getOptions(){
        return array(
             new fieldList('cats', array(
                'title' => 'Фильтр',
                'default' => 0,
                'items' => array(
                    0 => 'Все публикации',
                    1 => 'Публикации в текущем разделе',
                )
            )),
        );
    }
    public function parse($value){
            $core = cmsCore::getInstance();
			$ctype_string = $core->uri_controller;
			$target_ctype_name = $core->request->get('ctype_name');
					$config = cmsConfig::getInstance();
		$content_model = cmsCore::getModel('content');
			  //if($ctype_string == 'content'){$ctype_string = 'places';}
			 
           	// Получаем SLUG записи
        $slug = $core->request->get('slug');
			 
        $ctype_name = $target_ctype_name;
        $ctype = $content_model->getContentTypeByName($ctype_name);        
		
		if (!$ctype) {
			if ($config->ctype_default){
				$ctype = $content_model->getContentTypeByName($config->ctype_default);			
				if (!$ctype) { return false; }				
				$slug = $ctype_name . '/' . $slug;
				$ctype_name = $config->ctype_default;
			} else {
			return false;	
			
			}
		} 
			
			
            $model = cmsCore::getModel('content');
			   $tabname = $model->table_prefix . $ctype_name;
               if(mb_strstr($core->uri, '.html')){
	           $url = str_replace(".html", "", $core->uri); 	
	           $url = str_replace($ctype_name."/", "", $url);
			   $model->filterEqual('slug', $url);
               $art = $model->getItem($tabname);
		       $model->resetFilters();
			}
			if($this->getOption('cats')){
			   $model->filterEqual('category_id', $art['category_id']);
            }
			$model->where .= "id > '{$art['id']}'";
			$model->orderBy('id', 'ASC');				
            $nextid = $model->getItem($tabname);
		    $model->resetFilters();
		    if(!$nextid){
		        	if($this->getOption('cats')){
			             $model->filterEqual('category_id', $art['category_id']);
                    }
                    $model->select("MIN(id)", 'id');
                    $nextid = $model->getItem($tabname);
		            $model->resetFilters(); 
		    }
		    
            if($this->getOption('cats')){
			   $model->filterEqual('category_id', $art['category_id']);
            }
			$model->where .= "id < '{$art['id']}'";
			$model->orderBy('id', 'DESC');				
            $previd = $model->getItem($tabname);
		    $model->resetFilters();
			 if(!$previd){
			     // $html.='iiii';
		        	if($this->getOption('cats')){
			             $model->filterEqual('category_id', $art['category_id']);
                    }

                    $model->select("MAX(i.id)", 'mid');
                    $mid = $model->getItem($tabname);
			        $model->filterEqual('id', $mid['mid']);
                    $previd = $model->getItem($tabname);
		            $model->resetFilters(); 
		            
		    }
		  $html.='<div style="width:100%;  overflow: hidden;">

            <div align="center"><a style="color: #9F171D; font-size:16px;" href="/'.$ctype_name.'/'.$previd['slug'].'.html"><< Предыдущая публикация</a>  | 
	   <a style="color: #9F171D; font-size:16px;" href="/'.$ctype_name.'/'.$nextid['slug'].'.html">Следующая публикация >></a></div>
					</div >';
        return $html;
    }
	
    public function store($value, $is_submitted, $old_value=null){
		
	return '1';
}
}
